shared_examples 'createable with valid params' do |model: nil|
  if model
    it "creates #{ model }" do
      expect { request }.to change(model, :count).by(1)
    end
  end
end

shared_examples 'not createable with invalid params' do |model: nil|
  if model
    it "doesn't create #{ model }" do
      expect { request }.not_to change(model, :count)
    end
  end
end
