shared_examples 'success response' do
  it 'returns success status (200)' do
    request
    expect(response).to have_http_status(200)
  end
end

shared_examples 'no content response' do
  it 'returns no content status (204)' do
    request
    expect(response).to have_http_status(204)
  end
end

shared_examples 'moved temporarily' do
  it 'returns moved temporarily status (302)' do
    request
    expect(response).to have_http_status(302)
  end
end

shared_examples 'need authorized' do
  it 'returns unauthorized status (401)' do
    request
    expect(response).to have_http_status(401)
  end
end

shared_examples 'forbidden response' do
  it 'returns forbidden status (403)' do
    request
    expect(response).to have_http_status(403)
  end
end

shared_examples 'not found response' do
  it 'returns forbidden status (404)' do
    request
    expect(response).to have_http_status(404)
  end
end

shared_examples 'unprocessable entity response' do
  it 'returns unprocessable status (422)' do
    request
    expect(response).to have_http_status(422)
  end
end
